## r-bioc-rhdf5lib 1.6.0+dfsg

=== DESCRIPTION ===
Package: Rhdf5lib
Type: Package
Title: hdf5 library as an R package
Version: 1.6.0
Author: Mike Smith
Maintainer: Mike Smith <grimbough@gmail.com>
Description: Provides C and C++ hdf5 libraries.
License: Artistic-2.0
Copyright: src/hdf5/COPYING
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown
BugReports: https://github.com/grimbough/Rhdf5lib
SystemRequirements: GNU make
Encoding: UTF-8
biocViews: Infrastructure
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/Rhdf5lib
git_branch: RELEASE_3_9
git_last_commit: 6148d85
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: yes
Packaged: 2019-05-03 02:40:14 UTC; biocbuild

=== debian/changelog ===
r-bioc-rhdf5lib (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R should not remove libhdf5-dev dependency

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 16:35:13 +0200

r-bioc-rhdf5lib (1.4.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Use DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
    to fix build on *i386

 -- Graham Inggs <ginggs@debian.org>  Mon, 20 May 2019 13:32:35 +0000

r-bioc-rhdf5lib (1.4.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #927975)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Apr 2019 21:18:25 +0200

=== debian/control ===
Source: r-bioc-rhdf5lib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               libhdf5-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
Homepage: https://bioconductor.org/packages/Rhdf5lib/

Package: r-bioc-rhdf5lib
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libhdf5-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R hdf5 library
 This GNU R package provides an interface to the
 C and C++ hdf5 libraries.
 .
 HDF5 is a file format and library for storing scientific data.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/Rhdf5lib.html .*/Rhdf5lib_(.*).tar.gz

## r-bioc-rhdf5lib 1.8.0%2Bdfsg

=== debian/changelog ===
r-bioc-rhdf5lib (1.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 Nov 2019 16:35:18 +0100

r-bioc-rhdf5lib (1.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 12:46:01 +0100

r-bioc-rhdf5lib (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 16 Sep 2019 09:13:02 +0200

## r-bioc-rhdf5lib 1.8.0+dfsg

=== DESCRIPTION ===
Package: Rhdf5lib
Type: Package
Title: hdf5 library as an R package
Version: 1.8.0
Author: Mike Smith
Maintainer: Mike Smith <grimbough@gmail.com>
Description: Provides C and C++ hdf5 libraries.
License: Artistic-2.0
Copyright: src/hdf5/COPYING
LazyLoad: true
VignetteBuilder: knitr
Suggests: BiocStyle, knitr, rmarkdown
URL: https://github.com/grimbough/Rhdf5lib
BugReports: https://github.com/grimbough/Rhdf5lib
SystemRequirements: GNU make
Encoding: UTF-8
biocViews: Infrastructure
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/Rhdf5lib
git_branch: RELEASE_3_10
git_last_commit: 16d91c4
git_last_commit_date: 2019-10-29
Date/Publication: 2019-10-29
NeedsCompilation: yes
Packaged: 2019-10-30 02:39:40 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                libhdf5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
 Homepage: https://bioconductor.org/packages/Rhdf5lib/
@@ -17,9 +17,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
-         libhdf5-dev
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R hdf5 library

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr, r-cran-rmarkdown
# If Depends: pandoc-citeproc -> Error in loadNamespace(name) : there is no package called ‘BiocStyle’
Restrictions: allow-stderr

## r-bioc-rhdf5lib 1.10.1+dfsg

=== DESCRIPTION ===
Package: Rhdf5lib
Type: Package
Title: hdf5 library as an R package
Version: 1.10.1
Author: Mike Smith
Maintainer: Mike Smith <grimbough@gmail.com>
Description: Provides C and C++ hdf5 libraries.
License: Artistic-2.0
Copyright: src/hdf5/COPYING
LazyLoad: true
VignetteBuilder: knitr
Depends: R (>= 3.3.0)
Suggests: BiocStyle, knitr, rmarkdown, tinytest
URL: https://github.com/grimbough/Rhdf5lib
BugReports: https://github.com/grimbough/Rhdf5lib
SystemRequirements: GNU make
Encoding: UTF-8
biocViews: Infrastructure
RoxygenNote: 7.1.0
git_url: https://git.bioconductor.org/packages/Rhdf5lib
git_branch: RELEASE_3_11
git_last_commit: 13ec08d
git_last_commit_date: 2020-07-08
Date/Publication: 2020-07-09
NeedsCompilation: yes
Packaged: 2020-07-10 01:59:22 UTC; biocbuild

=== debian/changelog ===
r-bioc-rhdf5lib (1.10.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jul 2020 09:07:01 +0200

r-bioc-rhdf5lib (1.10.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 22:31:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libhdf5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
 Homepage: https://bioconductor.org/packages/Rhdf5lib/
+Rules-Requires-Root: no
 
 Package: r-bioc-rhdf5lib
 Architecture: any

## r-bioc-rhdf5lib 1.12.1%2Bdfsg

=== DESCRIPTION ===
Package: Rhdf5lib
Type: Package
Title: hdf5 library as an R package
Version: 1.12.1
Author: Mike Smith
Maintainer: Mike Smith <grimbough@gmail.com>
Description: Provides C and C++ hdf5 libraries.
License: Artistic-2.0
Copyright: src/hdf5/COPYING
LazyLoad: true
VignetteBuilder: knitr
Depends: R (>= 3.3.0)
Suggests: BiocStyle, knitr, rmarkdown, tinytest
URL: https://github.com/grimbough/Rhdf5lib
BugReports: https://github.com/grimbough/Rhdf5lib
SystemRequirements: GNU make
Encoding: UTF-8
biocViews: Infrastructure
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/Rhdf5lib
git_branch: RELEASE_3_12
git_last_commit: cf464f4
git_last_commit_date: 2021-01-26
Date/Publication: 2021-01-26
NeedsCompilation: yes
Packaged: 2021-01-27 02:49:10 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libhdf5-dev
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R hdf5 library

## r-bioc-rhdf5lib 1.12.1+dfsg

=== debian/changelog ===
r-bioc-rhdf5lib (1.12.1+dfsg-3) unstable; urgency=medium

  * Depends: libhdf5-dev
    Closes: #986077

 -- Andreas Tille <tille@debian.org>  Mon, 05 Apr 2021 06:57:37 +0200

r-bioc-rhdf5lib (1.12.1+dfsg-2) unstable; urgency=medium

  * r-bioc-biocstyle is now available thus add it to Test-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 12 Feb 2021 08:06:35 +0100

r-bioc-rhdf5lib (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jan 2021 15:00:30 +0100

r-bioc-rhdf5lib (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream version

  [ Steffen Moeller ]
  * Cleaner clean to help routine-update.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 14:20:27 +0100

## r-bioc-rhdf5lib 1.16.0+dfsg

=== DESCRIPTION ===
Package: Rhdf5lib
Type: Package
Title: hdf5 library as an R package
Version: 1.16.0
Authors@R: c(
            person(
              "Mike", "Smith", 
              role=c("ctb", "cre"), 
              email = "grimbough@gmail.com",
              comment = c(ORCID = "0000-0002-7800-3848")
            ),
            person(
              given = "The HDF Group",
              role = "cph"
            ))
Description: Provides C and C++ hdf5 libraries.
License: Artistic-2.0
Copyright: src/hdf5/COPYING
LazyLoad: true
VignetteBuilder: knitr
Depends: R (>= 4.0.0)
Suggests: BiocStyle, knitr, rmarkdown, tinytest, mockery
URL: https://github.com/grimbough/Rhdf5lib
BugReports: https://github.com/grimbough/Rhdf5lib
SystemRequirements: GNU make
Encoding: UTF-8
biocViews: Infrastructure
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/Rhdf5lib
git_branch: RELEASE_3_14
git_last_commit: 534c497
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 22:37:00 UTC; biocbuild
Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
  The HDF Group [cph]
Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 10:55:07 +0100

r-bioc-rhdf5lib (1.14.2+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/p/pass-correct-path-for-getting-env.patch: Pass correct
    filepath to fix autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 18:11:49 +0530

r-bioc-rhdf5lib (1.14.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 11:07:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                libhdf5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
 Homepage: https://bioconductor.org/packages/Rhdf5lib/

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr,
            r-cran-rmarkdown,
            r-bioc-biocstyle,
            pandoc-citeproc
Restrictions: allow-stderr

## r-bioc-rhdf5lib 1.18.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.16.0
+Version: 1.18.2
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -25,14 +25,14 @@
 SystemRequirements: GNU make
 Encoding: UTF-8
 biocViews: Infrastructure
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_14
-git_last_commit: 534c497
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: d104bbf
+git_last_commit_date: 2022-05-12
+Date/Publication: 2022-05-15
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:37:00 UTC; biocbuild
+Packaged: 2022-05-15 21:43:49 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.18.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2022 10:43:10 +0200

r-bioc-rhdf5lib (1.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Revert "Update d/links to symlink to correct
    hdf5 include serial dir" -- the include dir got bad in last upload
  * Pass correct file (libhdf5.settings) to check settings

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 May 2022 10:41:10 +0000

r-bioc-rhdf5lib (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

  [ Nilesh Patra ]
  * Add d/clean for cleaning redundant files
  * Adapt patch to later version
  * Re-instantiate d/p/pass-correct-path-for-getting-env.patch: Pass
    correct filepath to fix autopkgtests
  * Update d/links to symlink to correct hdf5 include serial dir

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 May 2022 13:43:37 +0530

## r-bioc-rhdf5lib 1.20.0%2Bdfsg

=== debian/control ===
Source: r-bioc-rhdf5lib
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
Homepage: https://bioconductor.org/packages/Rhdf5lib/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libhdf5-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-rhdf5lib
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libhdf5-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R hdf5 library
 This GNU R package provides an interface to the
 C and C++ hdf5 libraries.
 .
 HDF5 is a file format and library for storing scientific data.

## r-bioc-rhdf5lib 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.18.2
+Version: 1.20.0
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -27,12 +27,12 @@
 biocViews: Infrastructure
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_15
-git_last_commit: d104bbf
-git_last_commit_date: 2022-05-12
-Date/Publication: 2022-05-15
+git_branch: RELEASE_3_16
+git_last_commit: 7606799
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-05-15 21:43:49 UTC; biocbuild
+Packaged: 2022-11-01 22:47:28 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:22:04 +0100

## r-bioc-rhdf5lib 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.20.0
+Version: 1.22.0
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -18,7 +18,7 @@
 Copyright: src/hdf5/COPYING
 LazyLoad: true
 VignetteBuilder: knitr
-Depends: R (>= 4.0.0)
+Depends: R (>= 4.2.0)
 Suggests: BiocStyle, knitr, rmarkdown, tinytest, mockery
 URL: https://github.com/grimbough/Rhdf5lib
 BugReports: https://github.com/grimbough/Rhdf5lib
@@ -27,12 +27,12 @@
 biocViews: Infrastructure
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_16
-git_last_commit: 7606799
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 2bf06b3
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 22:47:28 UTC; biocbuild
+Packaged: 2023-04-25 22:29:52 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Drop vignette test in favour of autotest-pkg-r
  * Reduce piuparts noise in transitions (routine-update)
  * Accept version 1.10.8 of libhdf5 in test
    Closes: #1033854

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 17:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
 Homepage: https://bioconductor.org/packages/Rhdf5lib/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-rhdf5lib 1.24.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.22.0
+Version: 1.24.2
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -27,12 +27,13 @@
 biocViews: Infrastructure
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_17
-git_last_commit: 2bf06b3
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: f4cab37
+git_last_commit_date: 2024-02-07
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-07
 NeedsCompilation: yes
-Packaged: 2023-04-25 22:29:52 UTC; biocbuild
+Packaged: 2024-02-07 23:46:53 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.24.2+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:24 +1100

r-bioc-rhdf5lib (1.24.2+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:49 +0000

r-bioc-rhdf5lib (1.24.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:42:41 +0100

r-bioc-rhdf5lib (1.24.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:44:03 +0100

r-bioc-rhdf5lib (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 18:11:49 +0100

r-bioc-rhdf5lib (1.22.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2023 11:50:04 +0200

r-bioc-rhdf5lib (1.22.0+dfsg-2) unstable; urgency=medium

  * Do not fail test for any mikro version 1.10.x of hdflib
    Closes: #1050952

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 20:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-bioc-rhdf5lib
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git

## r-bioc-rhdf5lib 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.24.2
+Version: 1.26.0
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -27,13 +27,13 @@
 biocViews: Infrastructure
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_18
-git_last_commit: f4cab37
-git_last_commit_date: 2024-02-07
-Repository: Bioconductor 3.18
-Date/Publication: 2024-02-07
+git_branch: RELEASE_3_19
+git_last_commit: 9755392
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-02-07 23:46:53 UTC; biocbuild
+Packaged: 2024-05-01 05:40:20 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:44:52 +0200

r-bioc-rhdf5lib (1.26.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/tests/autopkgtest-pkg-r.conf: bump minimum versions of r-bioc-*
    packages to bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 16:55:05 +0200

r-bioc-rhdf5lib (1.26.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches, with adjustment inspired by Nilesh Patra (thank you!)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:35:25 +0200

## r-bioc-rhdf5lib 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhdf5lib
 Type: Package
 Title: hdf5 library as an R package
-Version: 1.26.0
+Version: 1.28.0
 Authors@R: c(
             person(
               "Mike", "Smith", 
@@ -27,13 +27,13 @@
 biocViews: Infrastructure
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/Rhdf5lib
-git_branch: RELEASE_3_19
-git_last_commit: 9755392
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: f37cb76
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:40:20 UTC; biocbuild
+Packaged: 2024-10-30 02:31:09 UTC; biocbuild
 Author: Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>),
   The HDF Group [cph]
 Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/changelog ===
r-bioc-rhdf5lib (1.28.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Skip version test. Closes: #1111760

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Sep 2025 13:57:06 +0200

r-bioc-rhdf5lib (1.28.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:09:15 +0100

r-bioc-rhdf5lib (1.28.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: r-bioc-rhdf5lib
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhdf5lib.git
@@ -12,7 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               libhdf5-dev
+               libhdf5-dev,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhdf5lib

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/config.log
	rm -f src/config.status
	rm -f confdefs.h

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/Rhdf5lib.html .*/Rhdf5lib_(.*).tar.gz
